Subject: Re: Git-aware HTTP transport

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 27 Aug 2008 21:37:03 -0700

Shawn O. Pearce wrote:
> 
> So this is what may be the final draft of the HTTP protocol.
> I've added stuff about capability selection between the peers for
> future expansion support.  The upload-pack service has a better
> use of it than receive-pack.  Otherwise it is what I think you are
> agreeing to above.  ;-)
> 

It looks good to me.  I *really* like the option of combining a redirect 
with a refs list in one reply; this will make things substantially 
easier do deploy on kernel.org, and saves a round trip to boot.

Just an implementation detail for the server, however: for an *empty* 
repository (one which has no refs at all), the server needs to *not* 
transmit the redirect, or there will be a loop :)  It is unnecessary, 
anyway, since there is inherently nothing to do.

	-hpa